package com.myoa.engineering.crawl.ppomppu.reader.service;

import org.springframework.stereotype.Service;

import com.myoa.engineering.crawl.ppomppu.reader.infrastructure.client.ProcessorAPIWebClient;
import com.myoa.engineering.crawl.shopping.support.dto.constant.PpomppuBoardName;

import lombok.extern.slf4j.Slf4j;
import reactor.core.publisher.Mono;

/**
 * ProcessorAPIService
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-09-05
 *
 */
@Slf4j
@Service
public class ProcessorAPIService {

    private final ProcessorAPIWebClient processorAPIWebClient;

    public ProcessorAPIService(ProcessorAPIWebClient processorAPIWebClient) {
        this.processorAPIWebClient = processorAPIWebClient;
    }

    public Mono<String> emitParseEvent(PpomppuBoardName boardName) {
        return processorAPIWebClient.emitParseEvent(boardName);
    }
}
